# services/veles/image.yaml
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImageRepository
metadata:
  name: veles-backend
  namespace: veles
spec:
  image: registry.bstein.dev/veles/veles-backend
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImagePolicy
metadata:
  name: veles-backend
  namespace: veles
spec:
  imageRepositoryRef:
    name: veles-backend
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImageRepository
metadata:
  name: veles-frontend
  namespace: veles
spec:
  image: registry.bstein.dev/veles/veles-frontend
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImagePolicy
metadata:
  name: veles-frontend
  namespace: veles
spec:
  imageRepositoryRef:
    name: veles-frontend
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImageRepository
metadata:
  name: veles-generator-worker
  namespace: veles
spec:
  image: registry.bstein.dev/veles/veles-generator-worker
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImagePolicy
metadata:
  name: veles-generator-worker
  namespace: veles
spec:
  imageRepositoryRef:
    name: veles-generator-worker
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImageRepository
metadata:
  name: veles-sim-worker
  namespace: veles
spec:
  image: registry.bstein.dev/veles/veles-sim-worker
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1
kind: ImagePolicy
metadata:
  name: veles-sim-worker
  namespace: veles
spec:
  imageRepositoryRef:
    name: veles-sim-worker
  policy:
    semver:
      range: ">=0.1.0-0"
